#ifndef __SMTPCommand_h__
# define __SMTPCommand_h__

# include "Command.h"
# include "SMTPSession.h"

namespace mail {

   class SMTPServer;
   
   class SMTPCommand : public core::Command {
      
    public:      
      virtual int processCommand(std::string request, core::TCPSession *session, std::stringstream &data) override;
      virtual int processCommand(coreutils::PString request, SMTPSession &session, SMTPServer &server, std::stringstream &data) {
	 return 0;
      }

   };
   
}

#endif
